List Coupon Codes
Get codes for a particular promotion.
Note: The default rate limit for this endpoint is 10 concurrent requests.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Query parameters
Filter items by code.
Return only codes with a custom valid_from on or after this value. The value is a positive integer Unix timestamp.
Return only codes with a custom valid_until on or before this value. The value is a positive integer Unix timestamp.
Response
Contains data about paginating the response via cursors. If no pagination details are specified, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.